- action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        preferences:
          description: The preferences to change, and their values
          items:
            properties:
              preferenceName:
                description: Full dotted-path of the preference being changed
                type: string
              value:
                description: Value to set the preference to
                type:
                - string
                - integer
                - boolean
            required:
            - preferenceName
            - value
            type: object
          minItems: 1
          type: array
        slug:
          description: Unique identifer for the rollout, used in telemetry and rollbacks
          pattern: ^[a-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferences
      title: Change preferences permanently
      type: object
    id: 5
    implementation_url: null
    name: preference-rollout
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: Increasing rollout to 95%, lgtm
    created: '2019-06-10T17:50:14.450083Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1682
    revision:
      id: 2570
      recipe_id: 755
  arguments:
    preferences:
    - preferenceName: gfx.webrender.all.qualified
      value: true
    slug: rollout-webrender-release-67-1541488
  capabilities:
  - jexl.context.env.version
  - action.preference-rollout
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  - capabilities-v1
  comment: ''
  creator:
    email: mcooper@mozilla.com
    first_name: Michael
    id: 1
    last_name: Cooper
  date_created: '2019-06-10T17:50:09.988709Z'
  enabled: false
  enabled_states:
  - carryover_from: null
    created: '2019-06-18T17:25:13.468532Z'
    creator:
      email: jgaunt@mozilla.com
      first_name: Josh
      id: 6
      last_name: Gaunt
    enabled: false
    id: 1017
  - carryover_from: 966
    created: '2019-06-11T18:24:09.226913Z'
    creator:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    enabled: true
    id: 1001
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: normandy.os.windowsVersion >= 6.1
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["webrender",normandy.userId]|bucketSample(0,950,1000)) && (normandy.os.windowsVersion
    >= 6.1)
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 67
  - count: 950
    input:
    - '"webrender"'
    - normandy.userId
    start: 0
    total: 1000
    type: bucketSample
  id: 2570
  identicon_seed: v1:co1ijjza2pc
  metadata: {}
  name: 'Rollout: Webrender in Release 67 [Bug 1541488]'
  recipe:
    approved_revision_id: 2570
    id: 755
    latest_revision_id: 2570
  updated: '2019-06-18T17:25:13.520727Z'
- action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        preferences:
          description: The preferences to change, and their values
          items:
            properties:
              preferenceName:
                description: Full dotted-path of the preference being changed
                type: string
              value:
                description: Value to set the preference to
                type:
                - string
                - integer
                - boolean
            required:
            - preferenceName
            - value
            type: object
          minItems: 1
          type: array
        slug:
          description: Unique identifer for the rollout, used in telemetry and rollbacks
          pattern: ^[a-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferences
      title: Change preferences permanently
      type: object
    id: 5
    implementation_url: null
    name: preference-rollout
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: Changing rollout from 25% to 50% as planned. Confirmed expected level
      of enrollment with 25%.
    created: '2019-05-30T17:13:43.110865Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1651
    revision:
      id: 2539
      recipe_id: 755
  arguments:
    preferences:
    - preferenceName: gfx.webrender.all.qualified
      value: true
    slug: rollout-webrender-release-67-1541488
  capabilities:
  - jexl.context.env.version
  - action.preference-rollout
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  - capabilities-v1
  comment: ''
  creator:
    email: mcooper@mozilla.com
    first_name: Michael
    id: 1
    last_name: Cooper
  date_created: '2019-05-30T17:08:04.999599Z'
  enabled: true
  enabled_states:
  - carryover_from: 957
    created: '2019-05-30T18:10:44.974702Z'
    creator:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    enabled: true
    id: 966
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: normandy.os.windowsVersion >= 6.1
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["webrender",normandy.userId]|bucketSample(0,500,1000)) && (normandy.os.windowsVersion
    >= 6.1)
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 67
  - count: 500
    input:
    - '"webrender"'
    - normandy.userId
    start: 0
    total: 1000
    type: bucketSample
  id: 2539
  identicon_seed: v1:co1ijjza2pc
  metadata: {}
  name: 'Rollout: Webrender in Release 67 [Bug 1541488]'
  recipe:
    approved_revision_id: 2570
    id: 755
    latest_revision_id: 2570
  updated: '2019-05-30T18:10:45.021521Z'
- action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        preferences:
          description: The preferences to change, and their values
          items:
            properties:
              preferenceName:
                description: Full dotted-path of the preference being changed
                type: string
              value:
                description: Value to set the preference to
                type:
                - string
                - integer
                - boolean
            required:
            - preferenceName
            - value
            type: object
          minItems: 1
          type: array
        slug:
          description: Unique identifer for the rollout, used in telemetry and rollbacks
          pattern: ^[a-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferences
      title: Change preferences permanently
      type: object
    id: 5
    implementation_url: null
    name: preference-rollout
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: 25% rollout on 67, win7 onwards
    created: '2019-05-28T17:33:39.209322Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1642
    revision:
      id: 2513
      recipe_id: 755
  arguments:
    preferences:
    - preferenceName: gfx.webrender.all.qualified
      value: true
    slug: rollout-webrender-release-67-1541488
  capabilities:
  - jexl.context.env.version
  - action.preference-rollout
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  - capabilities-v1
  comment: ''
  creator:
    email: jgaunt@mozilla.com
    first_name: Josh
    id: 6
    last_name: Gaunt
  date_created: '2019-05-21T21:15:53.878003Z'
  enabled: true
  enabled_states:
  - carryover_from: null
    created: '2019-05-28T18:11:33.896829Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    enabled: true
    id: 957
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: normandy.os.windowsVersion >= 6.1
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["webrender",normandy.userId]|bucketSample(0,250,1000)) && (normandy.os.windowsVersion
    >= 6.1)
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 67
  - count: 250
    input:
    - '"webrender"'
    - normandy.userId
    start: 0
    total: 1000
    type: bucketSample
  id: 2513
  identicon_seed: v1:co1ijjza2pc
  metadata: {}
  name: 'Rollout: Webrender in Release 67 [Bug 1541488]'
  recipe:
    approved_revision_id: 2570
    id: 755
    latest_revision_id: 2570
  updated: '2019-05-28T18:11:33.933164Z'
- action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        preferences:
          description: The preferences to change, and their values
          items:
            properties:
              preferenceName:
                description: Full dotted-path of the preference being changed
                type: string
              value:
                description: Value to set the preference to
                type:
                - string
                - integer
                - boolean
            required:
            - preferenceName
            - value
            type: object
          minItems: 1
          type: array
        slug:
          description: Unique identifer for the rollout, used in telemetry and rollbacks
          pattern: ^[a-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferences
      title: Change preferences permanently
      type: object
    id: 5
    implementation_url: null
    name: preference-rollout
  approval_request: null
  arguments:
    preferences:
    - preferenceName: gfx.webrender.all.qualified
      value: true
    slug: rollout-webrender-release-67-1541488
  capabilities:
  - jexl.context.env.version
  - action.preference-rollout
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  - capabilities-v1
  comment: ''
  creator:
    email: jgaunt@mozilla.com
    first_name: Josh
    id: 6
    last_name: Gaunt
  date_created: '2019-05-21T20:40:25.663749Z'
  enabled: false
  enabled_states: []
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: '!("pref-flip-webrender-perf67-1526094" in normandy.experiments.active)
    &&

    normandy.os.windowsVersion >= 6.1'
  filter_expression: '(normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["webrender"]|bucketSample(0,250,1000)) && (!("pref-flip-webrender-perf67-1526094"
    in normandy.experiments.active) &&

    normandy.os.windowsVersion >= 6.1)'
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 67
  - count: 250
    input:
    - '"webrender"'
    start: 0
    total: 1000
    type: bucketSample
  id: 2509
  identicon_seed: v1:co1ijjza2pc
  metadata: {}
  name: 'Rollout: Webrender in Release 67 [Bug 1541488]'
  recipe:
    approved_revision_id: 2570
    id: 755
    latest_revision_id: 2570
  updated: '2019-05-21T20:40:25.699767Z'
- action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        preferences:
          description: The preferences to change, and their values
          items:
            properties:
              preferenceName:
                description: Full dotted-path of the preference being changed
                type: string
              value:
                description: Value to set the preference to
                type:
                - string
                - integer
                - boolean
            required:
            - preferenceName
            - value
            type: object
          minItems: 1
          type: array
        slug:
          description: Unique identifer for the rollout, used in telemetry and rollbacks
          pattern: ^[a-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferences
      title: Change preferences permanently
      type: object
    id: 5
    implementation_url: null
    name: preference-rollout
  approval_request: null
  arguments:
    preferences:
    - preferenceName: gfx.webrender.all.qualified
      value: true
    slug: rollout-webrender-release-67-1541488
  capabilities:
  - jexl.context.env.version
  - action.preference-rollout
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  - capabilities-v1
  comment: ''
  creator:
    email: mcooper@mozilla.com
    first_name: Michael
    id: 1
    last_name: Cooper
  date_created: '2019-04-25T16:01:30.336896Z'
  enabled: false
  enabled_states: []
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: ''
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["webrender"]|bucketSample(0,250,1000))
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 67
  - count: 250
    input:
    - '"webrender"'
    start: 0
    total: 1000
    type: bucketSample
  id: 2428
  identicon_seed: v1:co1ijjza2pc
  metadata: {}
  name: 'Rollout: Webrender in Release 67 [Bug 1541488]'
  recipe:
    approved_revision_id: 2570
    id: 755
    latest_revision_id: 2570
  updated: '2019-04-25T16:01:30.376754Z'
